Open Infrastructure - Task #7205

Task # 6869 (Rejected): Challenge OpenStack and OpenNebula with ucloud
Task # 7138 (Rejected): Nico's open / next points for ucloud
Description

In theory it should "just" work, let's see what is necessary.
We need:

e ungleich-otp for authentication
¢ etcd for storing configurations and run time data

The story / handbook

¢ My objective is to use ucloud for scheduling VMs

¢ | do need some kind of authentication system, ucloud uses one time passwords based on RFCXXXX
o One reference implementation for that is uotp, so we install uotp first

¢ | need some kind of database for storing information in
o ucloud chose etcd
o So | need to install etcd first

Arch Linux specific

¢ Installing etcd via AUR
o yaourt -S etcd

ucloud-setup

e |f | don't trust shell scripts, ucloud-setup is a bit tricky
e Maybe we need to describe the shell script more in detail / on the website2

Required follow ups

e It's nice that all components are depending on etcd only, however ungleich-otp also depends on postgresql
o We should shortly rewrite the backend of ungleich-otp to be etcd, too
e We should probably have some kind of check for each step, f.i. etcd running is missing

History

#1 - 10/06/2019 07:25 AM - Nico Schottelius

- Description updated

#2 - 10/06/2019 07:28 AM - Nico Schottelius

- Description updated

How to install? Going to https://code.ungleich.ch/ucloud | find https://code.ungleich.ch/ucloud/ucloud-setup and
https://code.ungleich.ch/ucloud/ucloud-init - both names seem to be promising.

#3 - 10/06/2019 11:21 AM - Nico Schottelius

- Description updated
#4 - 10/06/2019 11:24 AM - Nico Schottelius

- Description updated

#5 - 10/06/2019 11:33 AM - Nico Schottelius

- Description updated

#6 - 10/10/2019 07:09 PM - Nico Schottelius

Note: while separating repos is cool, installing from so many code repos is pain. Maybe merge all the source code repos again? Not sure though.
CLI wise this could be quite nice though:

ucloud api ...
ucloud scheduler ...

(all the different server components)
While the CLIENT CLI might be separated from this (?)

ucloud-cli do-something

#7 - 10/10/2019 07:37 PM - Ahmed Bilal

| agree with this. It is so much pain to handle installing all these different repositories. But, need to think more.

#8 - 01/02/2024 02:02 PM - Nico Schottelius

- Status changed from In Progress to Rejected
